# Created by pyp2rpm-3.3.2
%global pypi_name execnet
%define pypi_url https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n::1})/%{pypi_name}

Name:           python-%{pypi_name}
Version:        1.7.1
Release:        %mkrel 4
Summary:        execnet: rapid multi-Python deployment
Group:          Development/Python
License:        MIT and GPLv2+
URL:            http://codespeak.net/execnet
Source0:        %{pypi_url}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  procps-ng
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(apipkg)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(sphinx)
#BuildRequires:  python3-eventlet
#BuildRequires:  python3-gevent
Requires:       python3dist(setuptools)
Requires:       python3dist(apipkg)

%description
execnet: distributed Python deployment and communication.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(apipkg) >= 1.4

%description -n python3-%{pypi_name}
execnet: distributed Python deployment and communication.

%package -n python-%{pypi_name}-doc
Summary:        execnet documentation

%description -n python-%{pypi_name}-doc
Documentation for execnet

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# remove shebangs and fix permissions
find . -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} \; \
   -exec chmod u=rw,go=r {} \;

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_install

%check
%if 0
PYTHONPATH=$(pwd) LC_ALL=C.UTF-8 \
py.test-%{python3_version} -r s \
  -k 'not test_stdouterrin_setnull' \
  testing
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.7.1-4.mga8
+ Revision: 1531450
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 1.7.1-3.mga8
+ Revision: 1440342
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 1.7.1-2.mga8
+ Revision: 1435626
- new version 1.7.1
- drop python2 support

* Wed Apr 17 2019 kekepower <kekepower> 1.6.0-1.mga7
+ Revision: 1392263
- Update to version 1.6.0

* Fri Jan 11 2019 kekepower <kekepower> 1.5.0-1.mga7
+ Revision: 1354651
- imported package python-execnet

